package com.base.superfilemanager.activity.splash

import android.app.Activity
import android.content.Intent
import android.net.Uri
import android.text.SpannableString
import android.text.Spanned
import android.text.style.UnderlineSpan
import androidx.core.view.isVisible
import com.base.superfilemanager.MyApplication
import com.base.superfilemanager.databinding.ActivityLayoutSplashBinding
import com.base.superfilemanager.helps.ConfigHelper
import com.base.superfilemanager.helps.EventHelper

class PrivacyAgreementManager {


    private val binding: ActivityLayoutSplashBinding

    private val context: Activity

    private val listener: onUserPrivacyAggreementListener

    constructor(binding: ActivityLayoutSplashBinding, context: Activity, listener: onUserPrivacyAggreementListener) {
        this.binding = binding
        this.context = context
        this.listener = listener
        initView()
    }


    private fun initView() {


        val spannableString = SpannableString("Privacy Policy")
        spannableString.setSpan(
            UnderlineSpan(),
            0,
            spannableString.length,
            Spanned.SPAN_EXCLUSIVE_EXCLUSIVE
        )
        binding.idTvPrivacyPolicy.text = spannableString

        binding.idTvPrivacyPolicy.setOnClickListener {
            val intent = Intent(
                Intent.ACTION_VIEW,
                Uri.parse("https://sites.google.com/view/cleanmastermax/home")
            )
            context.startActivity(intent)
        }

        binding.idTvStart.setOnClickListener {
            binding.idTvStart.isVisible = false
            binding.idLlJindu.isVisible = true
            binding.idLlYinsi.isVisible = false
            ConfigHelper.ifAgreePrivacy = true
            (context.application as MyApplication).initApp()
            EventHelper.event("click_start_to_use")
            EventHelper.event("page_${javaClass.simpleName}")
            listener.onAgreePrivacy()
        }
    }

    interface onUserPrivacyAggreementListener {
        fun onAgreePrivacy()
    }

}